[MP2-768] Installation Setup Failed - Error 0x80070666 - VC++ 2015/2017 Redist bug (1 Viewer)

Status
Not open for further replies.

morpheus_xx

Lead Dev MP2
  • Team MediaPortal
  • March 24, 2007
    11,777
    7,127
    Home Country
    Germany Germany
    Country flag
    The dependencies are server side in most cases, in principle we could skip some for client-only installs. The problem is that the installer logic is not aware of supporting different dependencies per install type yet.
     

    Squelch

    Portal Member
    October 20, 2018
    5
    2
    55
    Home Country
    Great Britain (UK) Great Britain (UK)
    Country flag
    Thank you for looking into this so quickly and for moving the thread to the proper location.
    I look forward to trying out the next release candidate, but would like to point out that anyone downloading what would appear to be the stable release ( 2.1) may still run into this problem. I note that the installation requirements page for 2.2 has just been updated to VC 2017, so perhaps a recommendation to use 2.2 instead of 2.1 if installation fails might be prudent?
     
    Last edited:

    HTPCSourcer

    Retired Team Member
  • Premium Supporter
  • May 16, 2008
    11,431
    2,334
    Home Country
    Germany Germany
    Country flag
    Recommendations to use MP2 instead MP1 are a delicate subject. Please keep in mind that both products are independent developments. I can’t comment on MP 1.20’s needs.

    In any case the new 2.2 Final will install VC++ 2017 regardless of VC++ 2015 being present or not.
     

    Squelch

    Portal Member
    October 20, 2018
    5
    2
    55
    Home Country
    Great Britain (UK) Great Britain (UK)
    Country flag
    Recommendations to use MP2 instead MP1 are a delicate subject. Please keep in mind that both products are independent developments. I can’t comment on MP 1.20’s needs.
    Completely understood and appreciated.
    In any case the new 2.2 Final will install VC++ 2017 regardless of VC++ 2015 being present or not.
    That still leaves 1.2 with the legacy issue. I had originally attempted to install 2.1 and the blockage led to my original report for that version. It is unfortunate that the actual cause is opaque, has been caused by external libraries, and that there appears to be no easy workaround short of a patched release for 2.1. I guess it all comes down to the project release schedule and how much longer 2.1 will be supported?
     
    Last edited:

    HTPCSourcer

    Retired Team Member
  • Premium Supporter
  • May 16, 2008
    11,431
    2,334
    Home Country
    Germany Germany
    Country flag
    Sorry, but I don’t understand the relationship with MP 1.20.
     

    Squelch

    Portal Member
    October 20, 2018
    5
    2
    55
    Home Country
    Great Britain (UK) Great Britain (UK)
    Country flag
    My apologies. I made a typo of 2.1 as 1.2 and subconsciously perpetuated it. I have edited my responses above accordingly.
     

    HTPCSourcer

    Retired Team Member
  • Premium Supporter
  • May 16, 2008
    11,431
    2,334
    Home Country
    Germany Germany
    Country flag
    MP 2.1(.3) needs VC 2015. I consider this obsolete though as with 2.2 we switch to 2017, that will in all cases be correctly installed - parallel to an existing 2015.

    Uninstalling 2015 is not affecting the remaining 2017.
     

    Squelch

    Portal Member
    October 20, 2018
    5
    2
    55
    Home Country
    Great Britain (UK) Great Britain (UK)
    Country flag
    Indeed. My concern was that neither 2.1.3 Pre-Release, nor 2.2 development currently result in a successful installation in this situation, and that people may preferentially view 2.1.3 as the current stable.
     
    Status
    Not open for further replies.

    Users who are viewing this thread

    Similar threads

    Der DirectX-WebInstaller wird nicht richtig ausgeführt. Lade und installiere das DX9-Runtime separat (Link). Danach MP2 erneut installieren.
    Der DirectX-WebInstaller wird nicht richtig ausgeführt. Lade und installiere das DX9-Runtime separat (Link). Danach MP2 erneut...
    0xfffffff7 unbekannter Fehler log file:
    Replies
    1
    Views
    610
    got it, and it worked. Thanks!
    got it, and it worked. Thanks!
    MP1 installs and runs with no problem, But MP2 errors out - seems to exit at the Direct X9 install. System is a newer comp w/win...
    Replies
    3
    Views
    961
    MP1 MP2 Error on install DE
    Yes, but it is not found: Manual installation should solve it directly. I'm not sure, if 4.7.1 will work. MP2 expects 4.7. I checked and we have not updated yet.
    Yes, but it is not found: Manual installation should solve it directly. I'm not sure, if 4.7.1 will work. MP2 expects 4.7. I...
    cant install on a new Windows 10 PC Log is [0E98:1734][2018-04-08T19:17:59]i001: Burn v3.11.0.1701, Windows v10.0 (Build 10240...
    Replies
    3
    Views
    2K
    Yes, @osre implemented the stop processes action via named pipes. Debugging on your system would be a bit tricky, as I would have to either write you all steps how to set a dev environment or do it remotely using team viewer. Providing a custom build would be better, but as you wrote you had/have issues with your OS, I would also...
    Yes, @osre implemented the stop processes action via named pipes. Debugging on your system would be a bit tricky, as I would have...
    I tried to install MediaPortal 2 onto my PC running Windows 7 Home Premium 64 bit. I received the error message:- I have...
    Replies
    59
    Views
    11K
    • Locked
    From my experience with five MP2.1 installation tasks: if you use the 'Mediaportal 2 Uninstall' entry from the Windows program menu there is still an entry in the 'Programs and Features' in system control panel. You need additionally to uninstall 'the rest' from there. But settings and data still stay on the system which is very...
    From my experience with five MP2.1 installation tasks: if you use the 'Mediaportal 2 Uninstall' entry from the Windows program menu...
    I have a working MP2 (Spring 2016) installation, and tried to install the MP2.1 preview. I opened the zip download (released on...
    Replies
    57
    Views
    6K
    Top Bottom